Subject: bug#1323 closed by Stefan Monnier <[email-masked]> (Re: bug#1323: 23.0.60; `find-file-noselect' ignores magic handler)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#1323: 23.0.60; `find-file-noselect' ignores magic handler

It has been closed by Stefan Monnier <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Stefan Monnier <[email-masked]> by
replying to this email.

-- 
1323: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1323
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Mon Nov 10 07:30:00 2008
From: Stefan Monnier <[email-masked]>
To: Markus Triska <[email-masked]>
Cc: [email-masked]
Subject: Re: bug#1323: 23.0.60; `find-file-noselect' ignores magic handler
Date: Mon, 10 Nov 2008 10:29:52 -0500

> Setting a magic handler for `find-file-noselect' has no effect.

It's not a file operation indeed.
I was about to tell you to "read the elisp manual about Magic File
Names" but I see that find-file-noselect is mentioned there as being one
of the affected operations.  I've just removed it.  If you see it
mentioned elsewhere, please tell us where,

        Stefan

>From [email-masked] Mon Nov 10 00:01:36 2008
From: Markus Triska <[email-masked]>
To: [email-masked]
Subject: 23.0.60; `find-file-noselect' ignores magic handler
Date: Mon, 10 Nov 2008 08:49:38 +0100 (CET)

Setting a magic handler for `find-file-noselect' has no effect.

In GNU Emacs 23.0.60.2 (i386-apple-darwin8.11.1, GTK+ Version 2.12.9)
 of 2008-11-05 on mt-computer.local
Windowing system distributor `The XFree86 Project, Inc', version 11.0.40400000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t